%define name		groovy
%define version		1.0
%define beta		b7
%define release		0.%{beta}.1jpp
%define	section		free


Name:		%{name}
Summary:	Groovy scripting language
Url:		http://groovy.codehaus.org/
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	BSD/Apache-style Software License
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:	noarch
Source0:	groovy-1.0-beta-7-src.tar.gz
Source1:	groovy.policy
Patch0:		groovy-1.0-jpp.patch
Patch1:		groovy-1.0-scripts.patch

BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:	ant >= 0:1.6
BuildRequires:	ant-junit >= 0:1.6
BuildRequires:	junit
BuildRequires:	maven
#
BuildRequires:	asm >= 0:1.4.3
BuildRequires:	axion
BuildRequires:	bsf
BuildRequires:	classworlds
BuildRequires:	jakarta-commons-cli
BuildRequires:	jakarta-commons-collections
BuildRequires:	jakarta-commons-logging
BuildRequires:	jakarta-commons-primitives
BuildRequires:	mockobjects
BuildRequires:	mx4j >= 0:2.0
BuildRequires:	nekohtml
BuildRequires:	qdox
BuildRequires:	radeox
BuildRequires:	regexp
BuildRequires:	servletapi4
BuildRequires:	xerces-j2
BuildRequires:	xml-commons-apis
#
Requires:	asm >= 0:1.4.3
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Groovy is a new agile dynamic language for the JVM 
combining lots of great features from languages like 
Python, Ruby and Smalltalk and making them available 
to the Java developers using a Java-like syntax.
Groovy is designed to help you get things done on the 
Java platform in a quicker, more concise and fun way - 
bringing the power of Python and Ruby inside the Java 
platform. 
Groovy can be used as an alternative compiler to javac 
to generate standard Java bytecode to be used by any 
Java project or it can be used dynamically as an 
alternative language such as for scripting Java objects, 
templating or writing unit test cases.


%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n groovy-1.0-beta-7
chmod -R go=u-w *
find . -name "*.jar" -exec rm -f {} \;
mkdir security
cp %{SOURCE1} security
mkdir xdocs

%patch0 -b .sav
%patch1 -b .sav

%build
rm -rf $HOME/.maven/repository

mkdir -p $HOME/.maven/repository/maven/jars
build-jar-repository $HOME/.maven/repository/maven/jars \
maven-jelly-tags \


mkdir -p $HOME/.maven/repository/JPP/jars
build-jar-repository $HOME/.maven/repository/JPP/jars \
asm/asm \
asm/asm-util \
asm/asm-attrs \
axion \
bsf \
classworlds \
commons-primitives \
mx4j/mx4j \
mockobjects-core \
radeox \

#maven -Dmaven.repo.remote=file:/usr/share/maven-1.0/repository
# security tests fail with axion problem "type varchar not recognized"
maven	-Dmaven.test.skip=true  \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	default javadoc:generate \

# delete DOS files
rm target/install/bin/*.bat

%install
find . -name "*.sav" -exec rm {} \;
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 target/install/lib/%{name}-%{version}-beta-7.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

# bin
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -m 755 target/install/bin/* $RPM_BUILD_ROOT%{_bindir}

# conf
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/conf
install -m 644 target/install/conf/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/conf

# lib
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/lib

%clean
rm -rf $RPM_BUILD_ROOT

%post
build-jar-repository %{_datadir}/%{name}-%{version}/lib \
ant-launcher \
ant \
ant/ant-junit \
asm/asm-attrs \
asm/asm-util \
asm/asm \
axion \
bsf \
classworlds \
commons-cli \
commons-collections \
commons-logging \
commons-primitives \
junit \
mockobjects-core \
mx4j/mx4j \
nekohtml \
qdox \
radeox \
regexp \
servletapi4 \
xerces-j2 \
xml-commons-apis \
groovy


%preun
if [ "$1" = "0" ]; then
  rm %{_datadir}/%{name}-%{version}/lib/*.jar
fi

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(-,root,root)
%doc LICENSE.txt
%{_javadir}/*
%attr(755, root, root) %{_bindir}/*
%{_datadir}/%{name}-%{version}

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Wed Dec 08 2004 Ralph Apel <r.apel at r-apel.de> 0:1.0-0.b7.1jpp
- First release
